Bug 1419026 - openshift_master_certificates task failed when installing multiple masters env
Summary: openshift_master_certificates task failed when installing multiple masters env
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 13:13 UTC by Johnny Liu
Modified: 2017-07-24 14:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-04-11 21:25:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0903 0 normal SHIPPED_LIVE OpenShift Container Platform atomic-openshift-utils bug fix and enhancement 2017-04-12 22:45:42 UTC

Description Johnny Liu 2017-02-03 13:13:00 UTC
Description of problem:
When installing env with multiple masters, the installation exit at the following failure.
<--snip-->
TASK [openshift_master_certificates : file] ************************************
Friday 03 February 2017  10:56:37 +0000 (0:00:02.549)       0:05:48.770 *******
failed: [ec2-54-86-156-14.compute-1.amazonaws.com -> ec2-52-55-205-85.compute-1.amazonaws.com] (item=openshift-registry.crt) => {"failed": true, "item": "openshift-registry.crt", "msg": "Error while linking: [Errno 2] No such file or directory", "path": "/etc/origin/generated-configs/master-ip-172-18-3-231.ec2.internal/openshift-registry.crt", "state": "absent"}
failed: [ec2-54-86-156-14.compute-1.amazonaws.com -> ec2-52-55-205-85.compute-1.amazonaws.com] (item=openshift-registry.key) => {"failed": true, "item": "openshift-registry.key", "msg": "Error while linking: [Errno 2] No such file or directory", "path": "/etc/origin/generated-configs/master-ip-172-18-3-231.ec2.internal/openshift-registry.key", "state": "absent"}
failed: [ec2-54-86-156-14.compute-1.amazonaws.com -> ec2-52-55-205-85.compute-1.amazonaws.com] (item=openshift-registry.kubeconfig) => {"failed": true, "item": "openshift-registry.kubeconfig", "msg": "Error while linking: [Errno 2] No such file or directory", "path": "/etc/origin/generated-configs/master-ip-172-18-3-231.ec2.internal/openshift-registry.kubeconfig", "state": "absent"}
failed: [ec2-54-86-156-14.compute-1.amazonaws.com -> ec2-52-55-205-85.compute-1.amazonaws.com] (item=openshift-router.crt) => {"failed": true, "item": "openshift-router.crt", "msg": "Error while linking: [Errno 2] No such file or directory", "path": "/etc/origin/generated-configs/master-ip-172-18-3-231.ec2.internal/openshift-router.crt", "state": "absent"}
failed: [ec2-54-86-156-14.compute-1.amazonaws.com -> ec2-52-55-205-85.compute-1.amazonaws.com] (item=openshift-router.key) => {"failed": true, "item": "openshift-router.key", "msg": "Error while linking: [Errno 2] No such file or directory", "path": "/etc/origin/generated-configs/master-ip-172-18-3-231.ec2.internal/openshift-router.key", "state": "absent"}
failed: [ec2-54-86-156-14.compute-1.amazonaws.com -> ec2-52-55-205-85.compute-1.amazonaws.com] (item=openshift-router.kubeconfig) => {"failed": true, "item": "openshift-router.kubeconfig", "msg": "Error while linking: [Errno 2] No such file or directory", "path": "/etc/origin/generated-configs/master-ip-172-18-3-231.ec2.internal/openshift-router.kubeconfig", "state": "absent"} 
<--snip-->


Version-Release number of selected component (if applicable):
openshift-ansible-3.5.3-1.git.0.80c2436.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Prepare inventory host file to install a multiple masters env.
2. Trigger installation
3.

Actual results:
The installation failed and exit.

Expected results:
The installation should be completed successfully.

Additional info:
When installing env with only one single master, no such issue is seen.

Comment 2 openshift-github-bot 2017-02-06 18:02:42 UTC
Commit pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/7593c93d4c8d8e5eb22e866fa87208611f0c4bf6
Merge pull request #3266 from abutcher/bz1419026

Bug 1419026 - openshift_master_certificates task failed when installing multiple masters env

Comment 3 Johnny Liu 2017-02-07 10:31:49 UTC
Verified this bug with openshift-ansible-3.5.4-1.git.0.034b615.el7.noarch, and PASS.

No error is seen now.


Note You need to log in before you can comment on or make changes to this bug.